Skip to main content

scripts: add my standard test runner

ID
cb43ab2
date
2026-05-17 16:21:24+00:00
author
Alex Chan <alex@alexwlchan.net>
parent
aa78065
message
scripts: add my standard test runner
changed files
1 file, 15 additions

Changed files

scripts/run_dominant_colours_tests.sh (0) → scripts/run_dominant_colours_tests.sh (266)

diff --git a/scripts/run_dominant_colours_tests.sh b/scripts/run_dominant_colours_tests.sh
new file mode 100755
index 0000000..e2d75a2
--- /dev/null
+++ b/scripts/run_dominant_colours_tests.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o nounset
+
+# Print a command in blue, then run the command
+run_command() {
+    echo ""
+    echo -e "\033[34m-> $@\033[0m"
+    bash -c "$@"
+}
+
+run_command "cargo fmt --check"
+run_command "cargo build"
+run_command "cargo test"